Bug 1340099 (CVE-2016-5034) - CVE-2016-5034 libdwarf: Out-of-bounds write in dwarf_elf_access.c
Summary: CVE-2016-5034 libdwarf: Out-of-bounds write in dwarf_elf_access.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-5034
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1340129 1340128
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-26 12:47 UTC by Andrej Nemec
Modified: 2019-09-29 13:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:52:56 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-05-26 12:47:58 UTC
An out-of-bounds write was found in libdwarf. Test object shows an invalid write in dwarf_elf_access.c (when doing the relocations). Adding the relocation value to anything overflowed and disguised the bad relocation record. With a 32bit kernel build the test could show a double-free and coredump due to the unchecked invalid writes from relocations.

References:

http://seclists.org/oss-sec/2016/q2/393

External references:

https://www.prevanders.net/dwarfbug.html

Upstream fix:

https://sourceforge.net/p/libdwarf/code/ci/10ca310f64368dc083efacac87732c02ef560a92

Comment 1 Andrej Nemec 2016-05-26 13:42:27 UTC
Created libdwarf tracking bugs for this issue:

Affects: fedora-all [bug 1340128]
Affects: epel-6 [bug 1340129]


Note You need to log in before you can comment on or make changes to this bug.